summaryrefslogtreecommitdiff
path: root/tests/run-all
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-07-26 06:35:31 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-07-26 10:04:30 +0100
commitd7e20af364775278c1f7f2398c8debdb0af8fb40 (patch)
treebce32cf28a830ce8ff5939c4e82b170dc85ec59e /tests/run-all
parentf0b46b0422f6ce3bb7c360ee3717eef95d621526 (diff)
test suite: run-all: Minor refactoring etc.
* Makefile: Move the DGIT_TEST_RETRY_COUNT if/else into the rule. This removes a small amount of duplication. * run-all: Document the option to pass explicitly list of scripts. * run-all: Add an option parser, which currently supports no options. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/run-all')
-rwxr-xr-xtests/run-all10
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/run-all b/tests/run-all
index f72b9fa..3e40369 100755
--- a/tests/run-all
+++ b/tests/run-all
@@ -1,10 +1,18 @@
#!/bin/bash
set -e
# convenience script for running the tests outside adt-run
-# usage: tests/using-intree tests/run-all
+# usage: tests/using-intree tests/run-all [tests/tests/*]
set -o pipefail
+while [ $# != 0 ]; do
+ case "$1" in
+ --) shift; break ;;
+ -*) echo >&2 "run-all: unknown option $1"; exit 20 ;;
+ *) break ;;
+ esac
+done
+
ncpus=$(nproc || echo 1)
jcpus=-j$(( ncpus * 134 / 100 ))